Package org.eclipse.emf.compare

## Interface ResourceAttachmentChange

All Superinterfaces:
  `Diff`, `EObject`, `Notifier`

All Known Implementing Classes:
  `ResourceAttachmentChangeImpl`, `ResourceAttachmentChangeSpec`

    public interface ResourceAttachmentChange
    extends Diff

A representation of the model object 'Resource Attachment Change'. This particular kind of difference describes the fragmentation (or un-fragmentation) of a model element in its own (or back in its parent's) resource.

The following features are supported:

- `Resource URI`

See Also:
  `ComparePackage.getResourceAttachmentChange()`
Generated:

### Field Summary

Fields
`static String` `copyright`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getResourceURI()` Returns the value of the 'Resource URI' attribute.
`void` `setResourceURI​(String value)` Sets the value of the '`Resource URI`' attribute.

### Methods inherited from interface org.eclipse.emf.compare.Diff

`copyLeftToRight, copyRightToLeft, discard, getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setMatch, setSource, setState`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### copyright

    static final String copyright

See Also:
  Constant Field Values
Generated:

### Method Detail

#### getResourceURI

    String getResourceURI()

Returns the value of the 'Resource URI' attribute. URI of the resource in which the parent mapping's element is now located.

Returns:
  the value of the 'Resource URI' attribute.
See Also:
  `setResourceURI(String)`, `ComparePackage.getResourceAttachmentChange_ResourceURI()`
Generated:

#### setResourceURI

    void setResourceURI​(String value)

Sets the value of the '`Resource URI`' attribute.

Parameters:
  `value` - the new value of the 'Resource URI' attribute.
See Also:
  `getResourceURI()`
Generated: